
StocksAndFisheriesKB - Task #25255

MERGE-APPROVE FIRMS ICES records

Jun 13, 2023 03:46 PM - Bracken van Niekerk

Status: Closed Start date: Jun 13, 2023

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Dear Yannis,

We have further reviewed the list of FIRMS-ICES stock records and have found several merges with the new FishSource and RAM

records from the recent GRSF refresh.

Please could we ask for approvals, merges and the modification of semantic IDs in the attached file (see columns O-P).

Please note that there are several cases where we would like to retain the UUIDs as these correspond to already published RAM

records, but the semantic IDs are incorrect and require updating (see column P).

With thanks,

Aureliano & Bracken

@aureliano.gentile@fao.org 

History

#1 - Jun 16, 2023 01:43 PM - Yannis Marketakis

- File GRSF_Records-export-2023-06-08_FIRMS_UpdateActions-ΥΜ.xlsx added

- Status changed from New to Feedback

- % Done changed from 0 to 100

The actions mentioned above have been carried out (apart from one)

The only one that has not been completed is in row 169. In this row, it has been requested to re-harvest (why? the contents were harvested 15 days

ago) and approve, but the record is already approved (https://services.d4science.org/group/grsf/data-catalogue)

Attached is the Excel file with more details (see column Q)

#2 - Jun 19, 2023 11:05 AM - Aureliano Gentile

Thank you Yannis, much appreciated.

The issue on row 169

UUID: be455f78-e317-32d2-ae54-5ddef330b089

FIRMS ID https://firms.fao.org/firms/resource/13449/en

is due a missing area code (NEP 9) which we spotted and added a few days ago, in fact now the areas in the FIRMS fact sheets are:

fao Div 27.4.a  Northern North Sea (Division 27.4.a)

ices Fu Nep 9

while in the GRSF it is still the old one:

Short Name: Norway lobster - Moray Firth

GRSF Semantic Identifier: asfis:NEP+fao:27.4.a

Record URL: https://data.d4science.org/ctlg/GRSF/be455f78-e317-32d2-ae54-5ddef330b089

this is why we wrote "reharvest".

But if this is too complicated, then it will be done in the next refresh.

#3 - Jun 19, 2023 12:59 PM - Yannis Marketakis

Hi Aureliano, 
It is not possible to re-harvest a single record.

Instead I've updated the record manually and republished in GRSF (https://data.d4science.org/ctlg/GRSF/be455f78-e317-32d2-ae54-5ddef330b089)

it should be OK now.

#4 - Jul 14, 2023 04:54 PM - Aureliano Gentile

- Status changed from Feedback to Closed

Thanks Yannis, we are about to send to ICES the updated list of UUIDs and semantic identifiers including GRSF identifiers for Norway lobster and

Sandeel stocks.

We close this ticket.

Regards,

B.&A.

Files

GRSF_Records-export-2023-06-08_FIRMS_UpdateActions.xlsx 446 KB Jun 13, 2023 Bracken van Niekerk

GRSF_Records-export-2023-06-08_FIRMS_UpdateActions-ΥΜ.xlsx 448 KB Jun 16, 2023 Yannis Marketakis
